Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
iseq_inline_cache_entry Struct Reference

`#include <vm_core.h>`

## Data Fields
VALUE | ic_vmstat
VALUE | ic_class
union {
VALUE value
long index
} | ic_value

## Detailed Description

Definition at line 132 of file vm_core.h.

## Field Documentation

VALUE iseq_inline_cache_entry::ic_class

Definition at line 134 of file vm_core.h.

Referenced by vm_getivar(), and vm_setivar().

union { ... } iseq_inline_cache_entry::ic_value

Referenced by vm_getivar(), and vm_setivar().

VALUE iseq_inline_cache_entry::ic_vmstat

Definition at line 133 of file vm_core.h.

Referenced by vm_getivar(), and vm_setivar().

long iseq_inline_cache_entry::index

Definition at line 137 of file vm_core.h.

Referenced by vm_getivar(), and vm_setivar().

VALUE iseq_inline_cache_entry::value

Definition at line 136 of file vm_core.h.

The documentation for this struct was generated from the following file:

- vm_core.h